{% extends 'base.html' %}

{% block title %}Update Profile{% endblock %}

{% block content %}
	{% if user.is_anonymous == False %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Update Profile</h1>
				<form action="{% url 'todolist:update_profile' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="username">Username: </label>
					    <input class="form-control" id="username" type="text" name="event_name" value="{{ username }}" maxlength="50" required>
					</div>

					<div class="mb-3">
					    <label for="first_name">First Name: </label>
					    <textarea class="form-control" name="first_name" value="{{ first_name }}" required></textarea>
					</div>
					<div class="mb-3">
					    <label for="last_name">Last Name: </label>
					    <textarea class="form-control" name="last_name" value="{{ last_name }}" required></textarea>
					</div>
					<div class="mb-3">
					    <label for="password">Password: </label>
					    <textarea class="form-control" name="password" value="{{ password }}" required></textarea>
					</div>
					<div class="mb-3">
					    <label for="confirm_password">Confirm Password: </label>
					    <textarea class="form-control" name="confirm_password" value="{{ confirm_password }}" required></textarea>
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="update_profile">
					</div>

				</form>
			</div>
		</div>
	</div>
	{% else %}
		<h1>You are not authorized to access this page.</h1>
		<p>Kindly login <a href="{% url 'todolist:login'%}">here</a></p>
	{% endif %}
{% endblock %}
